# freespace(1)

ModernCLI, November 2020

```
filehash [options] [path]

```

## Description

In it's simplest form this command will output the free disk space associated
with a directory path, typically for use in scripting.  The output can be in
bytes, kilobytes, megabytes, or gigabytes, whichever is most convenient for
your script.

The other use is to overwrite free space.  This might be used to overwrite
unused space from deleted files with 0's.  Typically this would be used to
zero free space for compacting virtual disk drives.  Free space may also
be filled with random values, such as to securely erase deleted files.  This
really may not work on SSD drives, however.

## Options

* **-k,-m,-g**
  Output size in kilobytes, megabytes, or gigabytes.  Otherwise output is in bytes.
* **--help**
  Outputs help screen for the user.
* **--quiet**
  Do not produce output when overwriting free space.
* **--random**
  Overwrite free space with random values.
* **--size=**_size[k,m,g]_
  Specify maximize size of free space to overwrite.
* **--zero**
  Overwrite free space with zeros.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/moderncli/issues/new>.

## Copyright

Copyright © 2020 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
