# paths(1)

ModernCLI, November 2020

```
paths [options] args...

```

## Description

This command is used to manipulate and echo command line arguments to
standard out.  This can include adding quotes around each argument passed
or a separator, or to output each argument on a separate line.  Optional
expansion of directory paths is also supported.

## Options

* **--basename**
  Reduces all output file paths to the base file name.
* **--delim=**_char_
  Set a deliminator character, such as ',', to use between each argument when
  outputing arguments.
* **--directory**
  If argument is a directory, list directory contents as arguments.
* **--follow**
  If argument is a directory and a symlink, follow symlinks recursively.
* **--lines**
  Output each argument on a separate line.
* **--quote=**_char|pair_
  Set a quote or special leading and trailing pair of characters to surround
  each argument with when output.  A typical use might be --quote=() to surround
  arguments in parenthesis.
* **--recursive**
  If argument is a directory, recursively scan directory and any subdirectory
  contents as arguments.
* **--reverse**
  Reverse order of arguments.
* **--sort**
  Sort filenames before output.
* **--help**
  Outputs help screen for the user.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/moderncli/issues/new>.

## Copyright

Copyright © 2020 David Sugar
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
